# frozen_string_literal: true
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: internal/module/configuration_project/rpc/rpc.proto

require 'google/protobuf'

require 'pkg/constraint/constraint_pb'
require 'buf/validate/validate_pb'
require 'pkg/entity/entity_pb'


descriptor_data = "\n3internal/module/configuration_project/rpc/rpc.proto\x12&gitlab.agent.configuration_project.rpc\x1a\x1fpkg/constraint/constraint.proto\x1a\x1b\x62uf/validate/validate.proto\x1a\x17pkg/entity/entity.proto\"\xdd\x01\n\x1bListAgentConfigFilesRequest\x12M\n\nrepository\x18\x01 \x01(\x0b\x32%.gitlab.agent.entity.GitalyRepositoryB\x06\xbaH\x03\xc8\x01\x01R\nrepository\x12H\n\x0bgitaly_info\x18\x02 \x01(\x0b\x32\x1f.gitlab.agent.entity.GitalyInfoB\x06\xbaH\x03\xc8\x01\x01R\ngitalyInfo\x12%\n\x0e\x64\x65\x66\x61ult_branch\x18\x03 \x01(\tR\rdefaultBranch\"{\n\x1cListAgentConfigFilesResponse\x12[\n\x0c\x63onfig_files\x18\x01 \x03(\x0b\x32\x37.gitlab.agent.configuration_project.rpc.AgentConfigFileR\x0c\x63onfig_files\"P\n\x0f\x41gentConfigFile\x12\x12\n\x04name\x18\x01 \x01(\tR\x04name\x12)\n\nagent_name\x18\x02 \x01(\tB\t\xbaH\x06r\x04\xd0\x9e^\x01R\nagent_name2\xbf\x01\n\x14\x43onfigurationProject\x12\xa6\x01\n\x14ListAgentConfigFiles\x12\x43.gitlab.agent.configuration_project.rpc.ListAgentConfigFilesRequest\x1a\x44.gitlab.agent.configuration_project.rpc.ListAgentConfigFilesResponse\"\x03\x90\x02\x01\x42\x66Zdgitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/configuration_project/rpcb\x06proto3"

pool = Google::Protobuf::DescriptorPool.generated_pool
pool.add_serialized_file(descriptor_data)

module Gitlab
  module Agent
    module ConfigurationProject
      module Rpc
        ListAgentConfigFilesRequest = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.configuration_project.rpc.ListAgentConfigFilesRequest").msgclass
        ListAgentConfigFilesResponse = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.configuration_project.rpc.ListAgentConfigFilesResponse").msgclass
        AgentConfigFile = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.configuration_project.rpc.AgentConfigFile").msgclass
      end
    end
  end
end
